Package org.springframework.web.servlet.theme

# Class AbstractThemeResolver

java.lang.Object
org.springframework.web.servlet.theme.AbstractThemeResolver

All Implemented Interfaces:
  `ThemeResolver`

Direct Known Subclasses:
  `FixedThemeResolver`, `SessionThemeResolver`

@Deprecated(since="6.0") public abstract class AbstractThemeResolver extends Object implements ThemeResolver
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Abstract base class for `ThemeResolver` implementations. Provides support for a default theme name.

Since:
  17.06.2003
Author:
  Juergen Hoeller, Jean-Pierre Pawlak

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ORIGINAL_DEFAULT_THEME_NAME`
Deprecated.
Out-of-the-box value for the default theme name: "theme".

## Constructor Summary

Constructors
Constructor
Description
`AbstractThemeResolver()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultThemeName()`
Deprecated.
Return the name of the default theme.
`void`
`setDefaultThemeName(String defaultThemeName)`
Deprecated.
Set the name of the default theme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.ThemeResolver

`resolveThemeName, setThemeName`

## Field Details

### ORIGINAL_DEFAULT_THEME_NAME

public static final String ORIGINAL_DEFAULT_THEME_NAME
Deprecated.
Out-of-the-box value for the default theme name: "theme".

See Also:
  - Constant Field Values

## Constructor Details

### AbstractThemeResolver

public AbstractThemeResolver()
Deprecated.

## Method Details

### setDefaultThemeName

public void setDefaultThemeName(String defaultThemeName)
Deprecated.
Set the name of the default theme. Out-of-the-box value is "theme".

### getDefaultThemeName

public String getDefaultThemeName()
Deprecated.
Return the name of the default theme.